## fractgen-3.0.7.tar.xz

=== CMakeLists.txt ===
# ==========================================================================
# ====                   FRACTAL GRAPHICS GENERATOR                     ====
# ==========================================================================
#
# Copyright (C) 2003-2026 by Thomas Dreibholz
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: thomas.dreibholz@gmail.com

CMAKE_MINIMUM_REQUIRED(VERSION 3.16)
PROJECT(fractgen LANGUAGES C CXX)

SET(BUILD_MAJOR "3")
SET(BUILD_MINOR "0")
SET(BUILD_PATCH "7")
SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})


#############################################################################
#### INSTALLATION_DIRECTORIES                                            ####
#############################################################################

# See: https://cmake.org/cmake/help/v3.0/module/GNUInstallDirs.html
INCLUDE(GNUInstallDirs)


#############################################################################
#### PACKAGING                                                           ####
#############################################################################

SET(CPACK_SOURCE_GENERATOR "TXZ")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME
    "${CMAKE_PROJECT_NAME}-${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH}")
SET(CPACK_SOURCE_IGNORE_FILES "\\\\.git;\\\\.swp$;~$;\\\\.\\\\#;/\\\\#")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}[_-]")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "\\\\.cmake$|\\\\.make$|\\\\.log$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/CMakeCache\\\\.txt$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/(CMakeFiles|CMakeScripts|_CPack_Packages)/")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/package-version\\\\.h$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "/packaging\\\\.conf$")
LIST(APPEND CPACK_SOURCE_IGNORE_FILES "^${PROJECT_SOURCE_DIR}/(po.*/|src.*/|)Makefile$")
INCLUDE(CPack)

ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} clean package_source)


INCLUDE(CheckIncludeFile)
INCLUDE(CheckStructHasMember)


#############################################################################
#### OS-DEPENDENT                                                        ####
#############################################################################

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/local/include")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include" "/usr/local/opt/openssl/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/local/include" "/usr/local/opt/openssl/include")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/pkg/include" "/usr/include" "/usr/local/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/pkg/include" "/usr/local/include")

ELSE()
    MESSAGE(FATAL_ERROR ${CMAKE_SYSTEM_NAME} " not supported (yet?)")

ENDIF()


#############################################################################
#### OPTIONS                                                             ####
#############################################################################

OPTION(WITH_QT  "Build the Qt version"           1)
OPTION(WITH_KDE "Build the KDE version"          0)
OPTION(WITH_CLI "Build the command-line version" 1)



#############################################################################
#### REQUIREMENTS                                                        ####
#############################################################################

# ###### Qt #################################################################
SET(CMAKE_AUTOMOC ON)
FIND_PACKAGE(QT NAMES Qt6 COMPONENTS Core Network Widgets Xml PrintSupport)
IF (NOT QT_FOUND)
   FIND_PACKAGE(QT NAMES Qt5 REQUIRED COMPONENTS Core Network Widgets Xml PrintSupport)
ENDIF()
MESSAGE("Using Qt version ${QT_VERSION_MAJOR}!")
FIND_PACKAGE(Qt${QT_VERSION_MAJOR} REQUIRED COMPONENTS Core Network Widgets Xml PrintSupport)
FIND_PROGRAM(LRELEASE lrelease PATHS /usr/local/lib/qt${QT_VERSION_MAJOR}/bin
                                     /usr/lib64/qt${QT_VERSION_MAJOR}/bin
                                     /usr/lib/qt${QT_VERSION_MAJOR}/bin
                                     /usr/bin
                               NO_DEFAULT_PATH
                               REQUIRED)
MESSAGE("Using LRelease ${LRELEASE}!")

# ###### KDE ################################################################
IF (WITH_KDE)
   # Needed:
   # KDE5: libkf5coreaddons-dev libkf5xmlgui-dev
   # KDE6: libkf6coreaddons-dev libkf6xmlgui-dev

   FIND_PACKAGE(ECM "1.0.0" NO_MODULE REQUIRED)
   SET(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH} ${ECM_KDE_MODULE_DIR})

   INCLUDE(KDEInstallDirs)
   INCLUDE(KDECMakeSettings)
   INCLUDE(KDECompilerSettings NO_POLICY_SCOPE)
   INCLUDE(KDEFrameworkCompilerSettings NO_POLICY_SCOPE)

   FIND_PACKAGE(KF${QT_VERSION_MAJOR} "${QT_VERSION_MAJOR}.0.0" REQUIRED COMPONENTS CoreAddons WidgetsAddons XmlGui)
ENDIF()

INCLUDE(FeatureSummary)
feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)


#############################################################################
#### SUBDIRECTORIES                                                      ####
#############################################################################

ADD_SUBDIRECTORY(src)

=== src/CMakeLists.txt ===
# ==========================================================================
# ====                   FRACTAL GRAPHICS GENERATOR                     ====
# ==========================================================================
#
# Copyright (C) 2003-2026 by Thomas Dreibholz
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
# Contact: thomas.dreibholz@gmail.com

SET(CMAKE_INCLUDE_CURRENT_DIR ON)


#############################################################################
#### VERSION FILE                                                        ####
#############################################################################

CONFIGURE_FILE (
   "${CMAKE_CURRENT_SOURCE_DIR}/package-version.h.in"
   "${CMAKE_CURRENT_BINARY_DIR}/package-version.h"
)
INCLUDE_DIRECTORIES(${CMAKE_CURRENT_BINARY_DIR})


#############################################################################
#### PROGRAMS                                                            ####
#############################################################################

SET(basicSourceFiles
   classregistry.cc
   colorschemeinterface.cc
   doubleconfigentry.cc
   dreibholz1.cc
   fractalalgorithminterface.cc
   fractalbuffer.cc
   fractalcalculationthread.cc
   fractalgeneratordoc.cc
   fractalgeneratorviewbase.cc
   mandelbrot.cc
   mandelbrotn.cc
   simplehsv.cc
   simplergb.cc
   uintconfigentry.cc
)
SET(guiSourceFiles
   ${basicSourceFiles}
   fractgen.cc
   imagedisplay.cc
   fractalgenerator.cc
   fractalgeneratorview.cc
   optionsdialog.cc
)

# ====== Qt version =========================================================
ADD_EXECUTABLE(fractgen ${guiSourceFiles})
TARGET_LINK_LIBRARIES(fractgen
   Qt${QT_VERSION_MAJOR}::Core
   Qt${QT_VERSION_MAJOR}::PrintSupport
   Qt${QT_VERSION_MAJOR}::Widgets
   Qt${QT_VERSION_MAJOR}::Xml
)

INSTALL(TARGETS             fractgen
        RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
        BUNDLE DESTINATION  ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES fractgen.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

INSTALL(FILES no.nntb.dreibh.fractgen.metainfo.xml DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo)
INSTALL(FILES fractgen.png     DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/icons/hicolor/512x512/apps)
INSTALL(FILES fractgen.desktop DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
INSTALL(FILES fractgen.xml     DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/mime/packages)
INSTALL(FILES       fractgen.bash-completion
        DESTINATION ${CMAKE_INSTALL_DATADIR}/bash-completion/completions
        RENAME      fractgen)

FILE(GLOB FRACTGEN_TS_FILES  "fractgen_*.ts")
SET(FRACTGEN_QM_FILES "")
FOREACH(tsFile IN LISTS FRACTGEN_TS_FILES)
   GET_FILENAME_COMPONENT(fileBase ${tsFile} NAME_WE)
   SET(qmFile "${fileBase}.qm")
   ADD_CUSTOM_COMMAND(OUTPUT  ${qmFile}
                      COMMAND ${LRELEASE} -removeidentical ${tsFile})
   ADD_CUSTOM_TARGET(target_${qmFile} ALL DEPENDS ${qmFile})
   LIST(APPEND FRACTGEN_QM_FILES ${qmFile})
ENDFOREACH()
INSTALL(FILES ${FRACTGEN_QM_FILES} DESTINATION ${CMAKE_INSTALL_DATADIR}/fractgen)


# ====== KDE version ========================================================
IF (WITH_KDE)
   ADD_EXECUTABLE(kfractgen ${guiSourceFiles})
   SET_TARGET_PROPERTIES(kfractgen PROPERTIES COMPILE_FLAGS "-DWITH_KDE")
   TARGET_LINK_LIBRARIES(kfractgen
      Qt${QT_VERSION_MAJOR}::Core
      Qt${QT_VERSION_MAJOR}::PrintSupport
      Qt${QT_VERSION_MAJOR}::Widgets
      Qt${QT_VERSION_MAJOR}::Xml
      KF${QT_VERSION_MAJOR}::CoreAddons
      KF${QT_VERSION_MAJOR}::WidgetsAddons
      KF${QT_VERSION_MAJOR}::XmlGui
   )
   INSTALL(TARGETS             kfractgen
           RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
           BUNDLE DESTINATION  ${CMAKE_INSTALL_BINDIR})
   INSTALL(FILES kfractgen.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

   INSTALL(FILES no.nntb.dreibh.kfractgen.metainfo.xml DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/metainfo)
   INSTALL(FILES kfractgen.desktop                     DESTINATION ${CMAKE_INSTALL_DATAROOTDIR}/applications)
   INSTALL(FILES       kfractgen.bash-completion
           DESTINATION ${CMAKE_INSTALL_DATADIR}/bash-completion/completions
           RENAME      kfractgen)
ENDIF()


# ====== CLI version ========================================================
IF (WITH_CLI)
   ADD_EXECUTABLE(clifractgen
      ${basicSourceFiles}
      clifractgen.cc
   )
   TARGET_LINK_LIBRARIES(clifractgen
      Qt${QT_VERSION_MAJOR}::Core
      Qt${QT_VERSION_MAJOR}::Widgets
      Qt${QT_VERSION_MAJOR}::Xml
   )

   INSTALL(TARGETS             clifractgen
           RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
           BUNDLE DESTINATION  ${CMAKE_INSTALL_BINDIR})
   INSTALL(FILES clifractgen.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)
   INSTALL(FILES       clifractgen.bash-completion
           DESTINATION ${CMAKE_INSTALL_DATADIR}/bash-completion/completions
           RENAME      clifractgen)
ENDIF()


# ==== Examples =============================================================
FILE(GLOB fractgen_examples "examples/*.fsf")
INSTALL(FILES ${fractgen_examples} DESTINATION ${CMAKE_INSTALL_DATADIR}/fractgen/examples)

=== freebsd/fractgen/Makefile ===
PORTNAME=	fractgen
DISTVERSION=	3.0.7
CATEGORIES=	graphics
MASTER_SITES=	https://www.nntb.no/~dreibh/fractalgenerator/download/

MAINTAINER=	thomas.dreibholz@gmail.com
COMMENT=	Fractal Generator
WWW=		https://www.nntb.no/~dreibh/fractalgenerator/

LICENSE=	GPLv3+
LICENSE_FILE=	${WRKSRC}/COPYING

USES=		cmake compiler:c++17-lang desktop-file-utils gl qt:6 \
		shared-mime-info tar:xz
USE_GL=		gl opengl
USE_QT=		base tools:build

.include <bsd.port.mk>

=== debian/changelog ===
fractgen (3.0.7-1ubuntu1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.7.3.
  * debian/copyright: Update for added .metainfo.xml files.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Fri, 27 Feb 2026 08:56:00 +0100

fractgen (3.0.6-1ubuntu1) trixie; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sun, 21 Sep 2025 17:55:34 +0200

fractgen (3.0.5-1ubuntu1) trixie; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sat, 05 Jul 2025 16:35:47 +0200

fractgen (3.0.4-1ubuntu1) trixie; urgency=medium

  * New upstream release.
  * debian/source/include-binaries: added generated .qm files.
  * debian/source/lintian-overrides: .qm files have very long lines.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Mon, 19 May 2025 14:59:43 -0400

fractgen (3.0.3-1ubuntu1) trixie; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.7.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Mon, 12 May 2025 22:50:45 +0200

fractgen (3.0.2-1ubuntu1) trixie; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Fri, 20 Dec 2024 14:14:16 +0100

fractgen (3.0.1-1ubuntu1) trixie; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 18 Dec 2024 22:01:20 +0100

fractgen (3.0.0-1ubuntu1) trixie; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Fri, 13 Dec 2024 22:57:49 +0100

fractgen (2.2.0-1ubuntu1) trixie; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.7.0.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Fri, 13 Dec 2024 21:32:31 +0100

fractgen (2.1.14-1ubuntu1) jammy; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 06 Dec 2023 16:51:19 +0100

fractgen (2.1.13-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sun, 22 Jan 2023 22:50:55 +1100

fractgen (2.1.12-1ubuntu1) jammy; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.0.1.
  * debian/control: Fixed use of substitution variable ${shlibs:Depends}.
  * debian/: Using dh_installman for the manpages.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 12 Nov 2021 09:29:16 +0100

fractgen (2.1.11-1ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.1.0.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sat, 06 Mar 2021 23:39:36 +0100

fractgen (2.1.10-1ubuntu1) hirsute; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.0.3.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 13 Nov 2020 19:01:33 +0100

fractgen (2.1.9-1ubuntu1) focal; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.0.1.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 24 Apr 2020 12:38:46 +0200

fractgen (2.1.8-1ubuntu1) focal; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.5.0.0.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 07 Feb 2020 13:21:45 +0100

fractgen (2.1.7-1ubuntu1) disco; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 07 Aug 2019 17:40:55 +0200

fractgen (2.1.6-1ubuntu1) disco; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 26 Jul 2019 12:09:33 +0200

fractgen (2.1.5-1ubuntu1) disco; urgency=medium

  * New upstream version.
  * debian/control: updated standards version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 27 Feb 2019 08:08:08 +0800

fractgen (2.1.4-1ubuntu2) cosmic; urgency=medium

  * New upstream release.
  * debian/*: Change of build system to CMake.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 17 Oct 2018 10:58:59 +0200

fractgen (2.1.3-1ubuntu2) cosmic; urgency=medium

  * New upstream release.
  * debian/control: updated standards version.
  * debian/copyright: updated.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 06 Jun 2018 10:58:59 +0200

fractgen (2.1.2-1ubuntu2) bionic; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 05 Nov 2017 10:58:59 +0200

fractgen (2.1.1-1ubuntu2) artful; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 09 Aug 2017 10:58:59 +0200

fractgen (2.1.0-1ubuntu1) zasty; urgency=low

  * New upstream release.
  * debian/rules: using qmake via qtchooser now.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 23 Nov 2016 08:08:08 +0800

fractgen (2.0.19-1ubuntu1) xenial; urgency=low

  * Packaging of new upstream version.
  * debian/compat: now using debhelper 9.
  * debian/control: Updated standards version. Using debhelper 9 now.
    Fixed homepage URL.
  * debian/control: added dependency dpkg-dev for hardening options.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 06 Apr 2016 08:08:08 +0800

fractgen (2.0.18-1ubuntu1) xenial; urgency=low

  * Packaging of new upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 25 Oct 2015 08:08:08 +0800

fractgen (2.0.17-1ubuntu1) vivid; urgency=low

  * Packaging of new upstream version.
  * debian/copyright: changed to machine-readable format.
  * debian/control: updated standards version.
  * debian/watch: added pgpsigurlmangle option.
  * debian/upstream/signing-key.asc: added upstream public key.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Sun, 01 Mar 2015 08:08:08 +0800

fractgen (2.0.16-1ubuntu1) trusty; urgency=low

  * Packaging of new upstream version.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 23 Oct 2013 08:08:08 +0800

fractgen (2.0.14-1ubuntu1) precise; urgency=low



=== debian/control ===
Source: fractgen
Section: graphics
Priority: optional
Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
Uploaders: Thomas Dreibholz <dreibh@simula.no>
Homepage: https://www.nntb.no/~dreibh/fractalgenerator/
Vcs-Git: https://github.com/dreibh/fractgen.git
Vcs-Browser: https://github.com/dreibh/fractgen
Build-Depends: cmake,
               debhelper-compat (= 13),
               extra-cmake-modules,
               libkf6coreaddons-dev,
               libkf6xmlgui-dev,
               qt6-base-dev,
               qt6-l10n-tools
Standards-Version: 4.7.3
Rules-Requires-Root: no

Package: fractgen
Architecture: any
Depends: fractgen-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fractgen-examples (>= ${source:Version}),
            rsplib-tools
Description: Fractal images calculation application (Qt version)
 FractGen is a simple Qt-based fractal generator program for Mandelbrot
 fractals. The image size is only limited by virtual memory. It is possible
 to zoom into images. Image parameters can be saved in XML files and loaded
 from XML files. Calculated images can be exported as PNG files.
 .
 The intention of this program is to generate graphics to be post-processed
 by other image tools, e.g. in order to generate nice screen backgrounds or
 book covers.
 .
 This is the Qt version of FractGen.

Package: kfractgen
Architecture: any
Depends: fractgen-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fractgen-examples (>= ${source:Version}),
            rsplib-tools
Description: Fractal images calculation application (KDE version)
 FractGen is a simple Qt-based fractal generator program for Mandelbrot
 fractals. The image size is only limited by virtual memory. It is possible
 to zoom into images. Image parameters can be saved in XML files and loaded
 from XML files. Calculated images can be exported as PNG files.
 .
 The intention of this program is to generate graphics to be post-processed
 by other image tools, e.g. in order to generate nice screen backgrounds or
 book covers.
 .
 This is the KDE version of FractGen.

Package: clifractgen
Architecture: any
Depends: fractgen-common (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: fractgen-examples (>= ${source:Version})
Suggests: rsplib-tools
Description: Fractal images calculation application (command-line version)
 FractGen is a simple Qt-based fractal generator program for Mandelbrot
 fractals. The image size is only limited by virtual memory. It is possible
 to zoom into images. Image parameters can be saved in XML files and loaded
 from XML files. Calculated images can be exported as PNG files.
 .
 The intention of this program is to generate graphics to be post-processed
 by other image tools, e.g. in order to generate nice screen backgrounds or
 book covers.
 .
 This is the command-line version of FractGen.

Package: fractgen-common
Architecture: all
Depends: ${misc:Depends}
Description: Common files for FractGen
 FractGen is a simple Qt-based fractal generator program for Mandelbrot
 fractals. The image size is only limited by virtual memory. It is possible
 to zoom into images. Image parameters can be saved in XML files and loaded
 from XML files. Calculated images can be exported as PNG files.
 .
 The intention of this program is to generate graphics to be post-processed
 by other image tools, e.g. in order to generate nice screen backgrounds or
 book covers.
 .
 This package contains commen files for the Qt, KDE and command-line
 versions of FractGen.

Package: fractgen-examples
Architecture: all
Depends: ${misc:Depends}
Description: Example files for FractGen
 This package contains some example input files for the fractal generator
 program FractGen. The example files contain the parameters for the
 fractal calculations. FractGen can perform the computations and display
 the resulting images.
